<!DOCTYPE HTML>
<html layout:decorate="~{layouts/layout}" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" xmlns:th="http://www.thymeleaf.org/" xml:lang="en">

<head> 
    <meta name="viewport" content="width=device-width">
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.9.3/dist/leaflet.css" integrity="sha256-kLaT2GOSpHechhsozzB+flnD+zUyjE2LlfWPgU04xyI=" crossorigin=""/>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="css/header.css"/>
    <link rel="stylesheet" href="/css/home.css">
    <link rel="stylesheet" href="/css/mapa.css">
    <script src="https://unpkg.com/leaflet@1.9.3/dist/leaflet.js" integrity="sha256-WBkoXOwTeyKclOHuWtc+i2uENFpDZ9YPdf5Hf+D7ewM=" crossorigin=""></script>
    <script th:src="@{/js/leaflet-providers.js}" type="text/javascript"></script>
    <script src="/js/signUp.js" type="text/javascript"></script>
    <title>Ship map</title> 
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />    
    <!-- Matomo -->
    <script>
        var _paq = window._paq = window._paq || [];
        /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
        _paq.push(['trackPageView']);
        _paq.push(['enableLinkTracking']);
        (function() {
        var u="//matomomufish.duckdns.org/";
        _paq.push(['setTrackerUrl', u+'matomo.php']);
        _paq.push(['setSiteId', '1']);
        var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
        g.async=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
        })();
</script>
</head>
<body>
    
    <main layout:fragment="content">
        <div id="map-missing">
            <th:block th:switch="${session.userType}">
                <th:block th:case="manager">
                    <div id="map"></div>
                    <div id="aside-map-complete">
                        <h6 class="title-legend-zones">ZONES TO CREATE: </h6>
                        <div id="legendZonesMissing"></div>
                        <div class="map-aside">
                            <a  href="/createFishingZone" >
                                <button type="button" class="btn btn-primary bZone">Create Fishing Zone</button>
                            </a>
                            <a  href="/deleteFishingZone">
                                <button type="button" class="btn btn-primary bZone">Delete Fishing Zone</button>
                            </a>
                        </div>
                    </div>
                </th:block>
                <th:block th:case="coastguard">
                    <div id="map"></div>
                    <div id="aside-map-complete">
                        <div class="map-aside">
                            <a href="/createRiskZone">
                                <button type="button" class="btn btn-primary bZone">Create Risk Zone</button>
                            </a>
                            <a href="/deleteRiskZone">
                                <button type="button" class="btn btn-primary bZone">Delete Risk Zone</button>
                            </a>
                        </div>
                    </div>
                </th:block>
                <th:block th:case="admin">
                    <div id="map" class="map-admin"></div>
                    <div id="aside-map-complete">
                        <div class="map-aside">
                            <a  href="/createFishingZone" >
                                <button type="button" class="btn btn-primary bZone">Create Fishing Zone</button>
                            </a>
                            <a  href="/deleteFishingZone">
                                <button type="button" class="btn btn-primary bZone">Delete Fishing Zone</button>
                            </a>
                        </div>
                        <div class="div-separator"></div>
                        <div class="map-aside">
                            <a href="/createRiskZone">
                                <button type="button" class="btn btn-primary bZone">Create Risk Zone</button>
                            </a>
                            <a href="/deleteRiskZone">
                                <button type="button" class="btn btn-primary bZone">Delete Risk Zone</button>
                            </a>
                        </div>
                    </div>
                </th:block>
                <th:block th:case="fisher">
                    <div id="map" class="map-admin"></div>
                    <div id="aside-map-complete">
                        <h6 class="title-legend-zones">YOUR ZONES: </h6>
                        <div id="legendZonasReservadas"></div>
                    </div>
                </th:block>
            </th:block>
        </div>
    
        <div id = "legendDiv">
            <ul id="legendZones">
                <span class="legendTitle">Zones</span>
                <li id = "freeLi">Fishing Zone</li>
                <li id = "seaLi">Sea Swell Zone</li>
                <li id="windyLi">Windy Zone</li>
                <li id="contaminatedLi">Contaminated Zone</li>
            </ul>
            <ul id="legendIcons">
                <span class="legendTitle">Boats</span>
                <li id = "fishingBoatLi">Fishing Boats</li>
                <li id = "coastguardBoatLi">Coastguard Boats</li>
                
            </ul>
            <div>
                <span class="legendTitle">Ports</span>
                <ul id="legendPorts">
                    <li class="portsLi">Vivero</li>
                    <li class="portsLi">Gijón</li>
                    <li class="portsLi">Llanes</li>
                    <li class="portsLi">Santander</li>
                    <li class="portsLi">Bilbao</li>
                    <li class="portsLi">Getaria</li>
                    <li class="portsLi">Pasaia</li>
                    <li class="portsLi">Hondarribia</li>
                </ul>
            </div>
        </div>
        <script src="/js/js.js"></script>
        <script src="/js/webSocket.js"></script>
        <script> setActualUser('[[${session.user.userId}]]');</script>
    </main>
    
</body>
</html>